Skip to main content
PATCH
/
servers
/
{id}
cURL
curl --request PATCH \
  --url https://api.vaultcord.com/servers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "google play",
  "botId": 5180,
  "guildid": "1218273540147646535",
  "roleid": "1225834185885876296",
  "channelid": "1260566188124274721",
  "pic": "https://cdn.vaultcord.com/logo.png",
  "font": "Minecraftia",
  "backgroundColor": "#151515",
  "textColor": "#FFF",
  "description": "Please verify to see the rest of our server",
  "githubUrl": "https://github.com/VaultCord",
  "twitterUrl": "https://twitter.com/VaultCord",
  "websiteUrl": "https://vaultcord.com",
  "youtubeUrl": "https://youtube.com/@VaultCord",
  "banner": "https://i.imgur.com/LpttueJ.gif",
  "cursor": "https://i.imgur.com/VdVvG03.png",
  "url": "mylink",
  "minAge": 7,
  "redirectUrl": 30,
  "ipLogging": 0,
  "vpncheck": 0,
  "mobilecheck": 0,
  "altcheck": 0,
  "altban": 0,
  "viewAuthedApps": 0,
  "viewGuilds": 0,
  "viewEmails": 0,
  "blacklist": 0,
  "whitelist": 0,
  "captcha": 0,
  "closeVerify": 0
}
'
import requests

url = "https://api.vaultcord.com/servers/{id}"

payload = {
"name": "google play",
"botId": 5180,
"guildid": "1218273540147646535",
"roleid": "1225834185885876296",
"channelid": "1260566188124274721",
"pic": "https://cdn.vaultcord.com/logo.png",
"font": "Minecraftia",
"backgroundColor": "#151515",
"textColor": "#FFF",
"description": "Please verify to see the rest of our server",
"githubUrl": "https://github.com/VaultCord",
"twitterUrl": "https://twitter.com/VaultCord",
"websiteUrl": "https://vaultcord.com",
"youtubeUrl": "https://youtube.com/@VaultCord",
"banner": "https://i.imgur.com/LpttueJ.gif",
"cursor": "https://i.imgur.com/VdVvG03.png",
"url": "mylink",
"minAge": 7,
"redirectUrl": 30,
"ipLogging": 0,
"vpncheck": 0,
"mobilecheck": 0,
"altcheck": 0,
"altban": 0,
"viewAuthedApps": 0,
"viewGuilds": 0,
"viewEmails": 0,
"blacklist": 0,
"whitelist": 0,
"captcha": 0,
"closeVerify": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'google play',
botId: 5180,
guildid: '1218273540147646535',
roleid: '1225834185885876296',
channelid: '1260566188124274721',
pic: 'https://cdn.vaultcord.com/logo.png',
font: 'Minecraftia',
backgroundColor: '#151515',
textColor: '#FFF',
description: 'Please verify to see the rest of our server',
githubUrl: 'https://github.com/VaultCord',
twitterUrl: 'https://twitter.com/VaultCord',
websiteUrl: 'https://vaultcord.com',
youtubeUrl: 'https://youtube.com/@VaultCord',
banner: 'https://i.imgur.com/LpttueJ.gif',
cursor: 'https://i.imgur.com/VdVvG03.png',
url: 'mylink',
minAge: 7,
redirectUrl: 30,
ipLogging: 0,
vpncheck: 0,
mobilecheck: 0,
altcheck: 0,
altban: 0,
viewAuthedApps: 0,
viewGuilds: 0,
viewEmails: 0,
blacklist: 0,
whitelist: 0,
captcha: 0,
closeVerify: 0
})
};

fetch('https://api.vaultcord.com/servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Successfully saved settings!",
  "serverId": 5180
}
{
"success": false,
"message": "New login required #2"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

ID of the resource

Body

application/json

Details of the VaultCord server to be edited or modified

name
string

Name of the server.

Example:

"google play"

botId
integer

Custom bot ID from /bots endpoint

Example:

5180

guildid
string

Discord snowflake ID for the guild.

Example:

"1218273540147646535"

roleid
string

Discord snowflake ID for the verified role.

Example:

"1225834185885876296"

channelid
string

Discord snowflake ID for the logs channel.

Example:

"1260566188124274721"

pic
string

Image link, only https://imgur.com and https://cdn.vaultcord.com links accepted

Example:

"https://cdn.vaultcord.com/logo.png"

font
enum<string>

Font for the text on verification page

Available options:
Poppins,
Minecraftia,
Comfortaa,
Lexend,
Inter,
Montserrat,
Kanit,
Open Sans,
Fira Code,
Grandstander,
Gluten,
Unbounded,
Mali,
Sansita Swashed
Example:

"Minecraftia"

backgroundColor
string

CSS "background" element. Displayed if no banner set

Example:

"#151515"

textColor
string

Color of all text displayed on verification page

Example:

"#FFF"

description
string

Bio text shown on verification page

Example:

"Please verify to see the rest of our server"

githubUrl
string

GitHub social media link

Example:

"https://github.com/VaultCord"

twitterUrl
string

Twitter (X) social media link

Example:

"https://twitter.com/VaultCord"

websiteUrl
string

Website social media link

Example:

"https://vaultcord.com"

youtubeUrl
string

YouTube social media link

Example:

"https://youtube.com/@VaultCord"

banner
string

Banner image on the verification page. Must be https://imgur.com

Example:

"https://i.imgur.com/LpttueJ.gif"

cursor
string

Custom cursor on the verification page. Must be https://imgur.com

Example:

"https://i.imgur.com/VdVvG03.png"

url
string

URL for the server verification page

Example:

"mylink"

minAge
integer

Newest Discord account age allowed, in days

Example:

7

redirectUrl
string

Send users to a custom URL after verification

Example:

30

ipLogging
integer

View unhashed IP address, 0 = OFF, 1 = ON

Example:

0

vpncheck
integer

Block VPNs from verification, 0 = OFF, 1 = ON

Example:

0

mobilecheck
integer

Block mobile networks from verification, 0 = OFF, 1 = ON

Example:

0

altcheck
integer

Block alternate accounts from verification, 0 = OFF, 1 = ON

Example:

0

altban
integer

Ban alt accounts automatically, 0 = OFF, 1 = ON

Example:

0

viewAuthedApps
integer

Collect social connections from member profiles, 0 = OFF, 1 = ON

Example:

0

viewGuilds
integer

Collect servers member is in, 0 = OFF, 1 = ON

Example:

0

viewEmails
integer

Collect member email address, 0 = OFF, 1 = ON

Example:

0

blacklist
integer

Check blocklist on verification, 0 = OFF, 1 = ON

Example:

0

whitelist
integer

Only accept allowlisted members, 0 = OFF, 1 = ON

Example:

0

captcha
integer

Require captcha on verification, 0 = OFF, 1 = ON

Example:

0

closeVerify
integer

Close verification page automatically after verification, 0 = OFF, 1 = ON

Example:

0

Response

Successfully updated VaultCord server settings

success
boolean
Example:

true

message
string
Example:

"Successfully saved settings!"

serverId
integer
Example:

5180